hpidomain(1)

NAME
hpidomain - A openhpi sample application that shows information about domains. It can also set the domain tag.

SYNOPSIS
 hpidomain [-D id] [-N host[:port]] [-C <cfgfile>] [-t tttt] [-V -X -h]
 hpidomain [--domain=id]  [--host=host[:port]] [--cfgfile=file]
           [--tag=tttt] [--verbose] [--debug] [--help]

DESCRIPTION
hpidomain displays the domain info for the specified domain. If no domain or host is selected, ohparam uses the default domain as specified in the openhpiclient.conf file.

In verbose mode, it walks the DRT and displays domaininfo for all directly related domains. Option -t allows to change the domain tag.

(No Option) Display domain info

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-t tttt, --tag=tttt
    Set domain tag to the specified string

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
         hpi_shell
         hpialarms      hpigensimdata  hpireset       hpitop
         hpiel          hpiinv         hpisensor      hpitree
         hpievents      hpionIBMblade  hpisettime     hpiwdt
         hpifan         hpipower       hpithres       hpixml
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)